Subject: bug#21668: closed (Re: bug#21668: 25.0.50; auto-revert-test failure on Fedora x86-64)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 Oct 2015 13:36:06 +0000

Your bug report

#21668: 25.0.50; auto-revert-test failure on Fedora x86-64

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21668: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21668
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21668: 25.0.50; auto-revert-test failure on Fedora x86-64
From: Michael Albinus <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Sat, 31 Oct 2015 14:34:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert <[email-masked]> writes:

>> I've just committed a patch to auto-revert-tests.el, which fixes a
>> subtle bug likely related to this problem. Could you, pls, check?
>
> I've run 'make check' several times now, with no problems.  Thanks.

Thanks for testing, I'm closing the bug.

Best regards, Michael.

Subject: 25.0.50; auto-revert-test failure on Fedora x86-64
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Date: Sun, 11 Oct 2015 15:33:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The auto-revert-test test fails for me routinely.  Not always, though; it's not 
reproducible in general.  Attached is a sample log.  I don't want to spend time 
debugging this myself, but thought that whoever wants to know about this test 
failure should know about it.

In GNU Emacs 25.0.50.13 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.15)
  of 2015-10-06
Repository revision: a4a98a1b2568793ead43e824ecf227768759df12
Configured using:
  'configure --enable-gcc-warnings'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LC_ALL: en_US.utf8
   value of $LC_COLLATE: en_US.UTF-8
   value of $LC_CTYPE: en_US.UTF-8
   value of $LC_MESSAGES: en_US.UTF-8
   value of $LANG: C
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   diff-auto-refine-mode: t
   shell-dirtrack-mode: t
   global-whitespace-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-quote-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
~/src/gnu/emacs/static-checking
Mark set
Compilation finished [2 times]
Quit
(Shell command succeeded with no output)
Mark set
(New file)
Mark set
Mark saved where search started
Compilation exited abnormally with code 2

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils dired-aux smerge-mode pcmpl-unix
pcmpl-gnu dired misearch multi-isearch vc vc-dispatcher vc-git diff-mode
easy-mmode cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs grep shell pcomplete compile comint ansi-color
ring term/xterm xterm byte-opt gv bytecomp byte-compile cl-extra
help-mode easymenu cl-loaddefs pcase cl-lib cconv time-date whitespace
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 287055 11181)
  (symbols 48 24171 0)
  (miscs 40 224 1712)
  (strings 32 27358 9129)
  (string-bytes 1 1499242)
  (vectors 16 18157)
  (vector-slots 8 842432 86232)
  (floats 8 152 267)
  (intervals 56 33060 6)
  (buffers 976 47)
  (heap 1024 52579 2410))